# TNT UK [TNT](https://www.tnt.com/express/en_gb/site/home.html) is a courier and logistics company that offers domestic and international shipping services for shipments originating in the UK. Their services include same-day delivery, next-day delivery, and international delivery options, as well as tracking and insurance for packages. This guide provides developers with the details needed to build TNT UK shipping capabilities into your ShipStation API workflows. ## Requirements | Property | Type | Required? | Description | | --- | --- | --- | --- | | `nickname` | *string* | **required** | Used to identify your TNT UK account in ShipStation API | | `username` | *string* | **required** | Your TNT UK account username | | `password` | *string* | **required** | Your TNT UK account password | | `country` | *string* | **required** | Your TNT account country | | `domestic_account` | *string* | optional | Your TNT domestic account number (9-digit number) | | `international_account` | *string* | optional | Your TNT international account number (10-digit number) | ### Connection Requirements Prior to using TNT services, you must complete the ExpressConnect & ExpressLabel Registration form. You can then submit the completed form to [support@shipstation.co.uk](mailto:support@shipstation.co.uk) and we will submit the form to TNT on your behalf. ### Shipping Requirements * Both weight and dimensions are required for all shipments. ## Connect Account You can connect a TNT UK account using the POST method to the `/v1/connections/carriers/` endpoint, or via the ShipStation API Dashboard. For instructions on connecting TNT via the ShipStation API dashboard, go to our [TNT UK help article](https://help.shipengine.com/hc/en-us/articles/7687358720411). ### Connect via Endpoint `carrier_name`: `tnt_uk` **POST /v1/connections/carriers/:carrier_name** Sample request: ```http POST /v1/connections/carriers/tnt_uk HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ Content-Type: application/json { "nickname": "My TNT UK account nickname", "username": "TNT_username", "password": "pa55word", "country": "United Kingdom", "domestic_account": "123456789", "international_account": "0123456789" } ``` A successful connection will return a response with the `carrier_id`, which you'll use for any requests for this account going forward. ## Rates TNT UK supports [rate shopping](/apis/shipengine/docs/rates/rates) with ShipStation API. ## Service Details Available services with TNT UK are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the [list carrier services](/apis/shipengine/docs/reference/list-carrier-services) endpoint at any time. ### Domestic Services | Service | Max Dimensions | Max Weight | API Code | | --- | --- | --- | --- | | EXPRESS Next Day Delivery | 3.6 x 1.8 x 2.1 | 2000kgs | `tnt_uk_express` | | 12:00 EXPRESS | 2.4 x 1.2 x 1.5 | 2000 kgs | `tnt_uk_12_express` | | 10:00 EXPRESS | 3.6 x 1.8 x 2.1 | 2000 kgs | `tnt_uk_10_express ` | | 09:00 EXPRESS | 3.6 x 1.8 x 2.1 | 2000 kgs | `tnt_uk_9_express` | | SATURDAY | n/a | n/a | `tnt_uk_saturday` | | 12:00 SATURDAY | n/a | n/a | `tnt_uk_12_saturday` | | 10:00 SATURDAY | n/a | n/a | `tnt_uk_10_saturday` | | 09:00 SATURDAY | n/a | n/a | `tnt_uk_9_saturday` | | SATURDAY COLLECT MONDAY DELIVER | n/a | n/a | `tnt_uk_saturday_collect` | | 12:00 SATURDAY COLLECT MONDAY DELIVER | n/a | n/a | `tnt_uk_12_saturday_collect` | | 10:00 SATURDAY COLLECT MONDAY DELIVER | n/a | n/a | `tnt_uk_10_saturday_collect` | | 09:00 SATURDAY COLLECT MONDAY DELIVER | n/a | n/a | `tnt_uk_9_saturday_collect` | ### International Services | Service | Max Dimensions | Max Weight | API Code | | --- | --- | --- | --- | | ECO EXPRESS | 2.4 x 1.2 x 1.8 | 70kg | `tnt_uk_economy_express` | | 12:00 ECO EXPRESS | 2.4 x 1.2 x 1.5 | 70kg | `tnt_uk_12_economy_express` | | EXPRESS | 2.4 x 1.2 x 1.5 | 500kg | `tnt_uk_international_express` | | 12:00 EXPRESS | 2.4 x 1.2 x 1.5 | 500kg | `tnt_uk_international_12_express` | > **NOTE: Action Required: New Zealand Border Levy Changes** Effective April 1, 2026, a new NZD $2.21 (+ GST) levy applies to low-value air freight consignments entering New Zealand. This levy is charged **per consignment**, not per item. See the **Shipping to New Zealand: Low Value Goods (LVG) Levy** section in [International Shipments](/apis/shipengine/docs/shipping/international) for full details. ### Shipping to Northern Ireland TNT UK has made the following adjustments in accordance with the [Windsor Framework](/apis/shipengine/docs/shipping/windsor-framework). The Windsor Framework goes into effect 1 May 2025. For shipments from Great Britain to Northern Ireland, TNT UK will require the usual customs declarations properties for all shipments. You must also print the commercial invoices for these shipments, just as you would for other cross-border shipments. In the `packages.products` array: * `description` (must be detailed and describe the content accurately. Descriptions like "Gift" or "Merchandise" are not sufficient) * `quantity` * `value` (must include `amount` and `currency`) * `harmonized_tariff_code` * `country_of_origin` **For B2B shipments:** * While not required to create a label successfully, you can declare the `movement_indicator` in the `windsor_framework_details` object. If you know the shipper and recipient UKIMS numbers, you should declare them in the `tax_identifiers` object in both the `ship_to` and `ship_from` objects. * If these values are not provided starting 1 May 2025, TNT UK's customs experts will identify whether the consignment is B2C or B2B and will contact you to obtain information regarding the shipment's risk indicator. UKIMS numbers will also be collected by TNT, if not provided when you create the label. ### Return Services TNT UK supports creating return labels for domestic shipments. Review the [Return Shipping Labels page](/apis/shipengine/docs/shipping/returns) for details on creating return labels with ShipStation API. ### Packages The following [carrier package types](/apis/shipengine/docs/shipping/carrier-packaging) are available for TNT UK services: | Name | API Code | Package Attributes | | --- | --- | --- | | Default | `tnt_uk_default` | International, Domestic | ### Adding Shipment Insurance TNT UK supports adding carrier insurance to your shipments. Review the [Parcel Insurance page](/apis/shipengine/docs/shipping/insurance) for details on adding shipment insurance with ShipStation API. ## Label Support * Label sizes: 4" x 6", 4" x 8" * Label formats: PDF ### Label Reference Fields TNT UK does not support adding [custom label messages](/apis/shipengine/docs/labels/messages). ### Multi-Package Labels TNT UK supports [multi-package shipments](/apis/shipengine/docs/shipping/multi-package). ### Label Branding TNT UK does not support [label branding](/apis/shipengine/docs/labels/branding). ### Voiding Labels does not have a void function. Labels that are created but never shipped expire after one week of inactivity. TNT UK does not support [voiding labels](/apis/shipengine/docs/labels/voiding) as they do not provide a void endpoint. Labels that are created but never shipped expire after one week of inactivity. ### Paperless Labels TNT UK does not support [paperless labels](/apis/shipengine/docs/labels/paperless). ### Customs Declarations Customs forms are not provided for download for TNT UK shipments. Contact your TNT UK account manager for details on customs declaration requirements. ## Delivery Confirmation | Confirmation Type | API Code | Description | | --- | --- | --- | | No confirmation requires | `none` | No confirmation required for delivery | See our [Delivery Confirmation page](/apis/shipengine/docs/shipping/delivery-confirmation) for more details about using the `confirmation` property. ## Advanced Options TNT UK does not currently support any [advanced options](/apis/shipengine/docs/carriers/advanced-options). To ensure you always have the most up-to-date information about a carrier's advanced options, use the [list carrier options call](/apis/shipengine/docs/reference/list-carrier-options). ## Manifests TNT UK automatically manifests all shipments electronically. You do not need to [manifest](/apis/shipengine/docs/shipping/manifests) your shipments with ShipStation API. ## Scheduling Pickups TNT UK does not support [scheduling pickups](/apis/shipengine/docs/shipping/pickups) with ShipStation API. ## Service Points (PUDO) TNT UK does not support shipping to [service points](/apis/shipengine/docs/pick-up-drop-off/pudo-intro). ## Tracking ShipStation API's integration with TNT UK supports receiving tracking updates. Review our ​[Track a Package guides​](/apis/shipengine/docs/tracking/tracking)​ for details on tracking with the ShipStation API. ## Disconnecting Your TNT UK Account See the Disconnect section in our [Delete a Carrier page](/apis/shipengine/docs/reference/carriers/delete-carrier) for the process of deleting or disconnecting a carrier from ShipStation API. > **NOTE:** If you disconnect a carrier account and reconnect it, the account will have a new `carrier_id` in ShipStation API.